import Taro from '@tarojs/taro'
import see from '@/assets/icons/landlord/查看入住人.png'
import share from '@/assets/icons/landlord/分享链接.png'
import del from '@/assets/icons/landlord/删除.png'
import addImg from '@/assets/icons/landlord/添加.png'
import iconsearch from '@/assets/icons/housemantj/search.png'
import './houseManage.less'
import { useState, useEffect,useRef } from 'react'
import {getRoomList} from '@/services/landlord'


export default (props) => {
  const {hotel}=props
  const [detail, setDetail] = useState([])
  useEffect(()=>{
    getRoomList({hotelId:hotel.hotelId}).then((res)=>{
      setDetail(res.records||[])
    })
  },[hotel])
  return (
    <view>
      <view style={{ padding: '0 30rpx', height: '100%' }}>
        <scroll-view scroll-y="true" scroll-view='true' bindscrolltoupper="upper" bindscrolltolower="lower" bindscroll="scroll" style={{ height: 'calc(100vh - 204px)' }}>
          <view className='search'>
            <input className='searchInput' disabled />
            <image className='searchicon' src={iconsearch} />
            <view className="searchword">请输入关键字搜索</view>
          </view>
          <view>
            {
              detail?.map((item)=>
              <view className='houseCard'>
              <view className='houseName'>{item.roomName}</view>
              <view className='operation'>
                <view><image src={see} /><text>查看入住人</text></view>
                <view><image src={share} /><text>分享链接</text></view>
                <view><image src={del} /><text>删除房源</text></view>
              </view>
            </view>
              )
            }
            
           
          </view>
        </scroll-view>        
      </view>
      <view className='addHouse'>
        <image className='addImg' src={addImg} />添加房源
      </view>
    
      </view>
  )
}